ADAM_2.12: Core 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package converters
  Definition Classes
    adam
- AlignmentConverter
- DefaultHeaderLines
- VariantContextConverter

c

org.bdgenomics.adam.converters

# VariantContextConverter 

###
Companion object VariantContextConverter

#### class VariantContextConverter extends Serializable with Logging

This class converts VCF data to and from ADAM. This translation occurs at the abstraction level of the htsjdk VariantContext which represents VCF data, and at the ADAMVariantContext level, which aggregates ADAM variant/genotype/annotation data together.

If a genotype annotation has a corresponding set of fields in the VCF standard, a conversion to/from the htsjdk VariantContext should be implemented in this class.

Linear Supertypes
Logging, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContextConverter
2. Logging
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VariantContextConverter(headerLines: Seq[VCFHeaderLine], stringency: ValidationStringency, setNestedAnnotationInGenotype: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def convert(vc: VariantContext): Option[VariantContext]

   Convert an ADAM variant context into a GATK variant context.

   Convert an ADAM variant context into a GATK variant context.

   vc

     ADAM variant context to convert.

   returns

     The specified ADAM variant context converted into a GATK variant context.

7.  def convert(vc: VariantContext): Seq[VariantContext]

   Converts a GATK variant context into one or more ADAM variant context(s).

   Converts a GATK variant context into one or more ADAM variant context(s).

   vc

     GATK variant context to convert.

   returns

     The specified GATK variant context converted into one or more ADAM variant context(s)

8.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
9.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
10.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
14.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
20.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
21.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
22.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
23.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
24.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
27.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
28.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
29.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
36.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
37.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
41.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
43.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped